删除仪表盘
curl --request POST \
--url 'https://api.flashcat.cloud/monit/dashboard/delete?app_key=' \
--header 'Content-Type: application/json' \
--data '
{
"dashboard_id": "01990d7a-9c5b-7ab0-9c18-33e38f6f2101",
"expected_revision": 7
}
'import requests
url = "https://api.flashcat.cloud/monit/dashboard/delete?app_key="
payload = {
"dashboard_id": "01990d7a-9c5b-7ab0-9c18-33e38f6f2101",
"expected_revision": 7
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({dashboard_id: '01990d7a-9c5b-7ab0-9c18-33e38f6f2101', expected_revision: 7})
};
fetch('https://api.flashcat.cloud/monit/dashboard/delete?app_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flashcat.cloud/monit/dashboard/delete?app_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dashboard_id' => '01990d7a-9c5b-7ab0-9c18-33e38f6f2101',
'expected_revision' => 7
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.flashcat.cloud/monit/dashboard/delete?app_key="
payload := strings.NewReader("{\n \"dashboard_id\": \"01990d7a-9c5b-7ab0-9c18-33e38f6f2101\",\n \"expected_revision\": 7\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.flashcat.cloud/monit/dashboard/delete?app_key=")
.header("Content-Type", "application/json")
.body("{\n \"dashboard_id\": \"01990d7a-9c5b-7ab0-9c18-33e38f6f2101\",\n \"expected_revision\": 7\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flashcat.cloud/monit/dashboard/delete?app_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"dashboard_id\": \"01990d7a-9c5b-7ab0-9c18-33e38f6f2101\",\n \"expected_revision\": 7\n}"
response = http.request(request)
puts response.read_body{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"data": {
"dashboard_id": "01990d7a-9c5b-7ab0-9c18-33e38f6f2101",
"revision": 8
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InvalidParameter",
"message": "The specified parameter is not valid."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "Unauthorized",
"message": "You are unauthorized."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "AccessDenied",
"message": "Access Denied."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "RequestTooFrequently",
"message": "Request too frequently."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InternalError",
"message": "We encountered an internal error, and it has been reported. Please try again later."
}
}仪表盘
删除仪表盘
把仪表盘移入回收站,30 天内可恢复。
POST
/
monit
/
dashboard
/
delete
删除仪表盘
curl --request POST \
--url 'https://api.flashcat.cloud/monit/dashboard/delete?app_key=' \
--header 'Content-Type: application/json' \
--data '
{
"dashboard_id": "01990d7a-9c5b-7ab0-9c18-33e38f6f2101",
"expected_revision": 7
}
'import requests
url = "https://api.flashcat.cloud/monit/dashboard/delete?app_key="
payload = {
"dashboard_id": "01990d7a-9c5b-7ab0-9c18-33e38f6f2101",
"expected_revision": 7
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({dashboard_id: '01990d7a-9c5b-7ab0-9c18-33e38f6f2101', expected_revision: 7})
};
fetch('https://api.flashcat.cloud/monit/dashboard/delete?app_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flashcat.cloud/monit/dashboard/delete?app_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dashboard_id' => '01990d7a-9c5b-7ab0-9c18-33e38f6f2101',
'expected_revision' => 7
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.flashcat.cloud/monit/dashboard/delete?app_key="
payload := strings.NewReader("{\n \"dashboard_id\": \"01990d7a-9c5b-7ab0-9c18-33e38f6f2101\",\n \"expected_revision\": 7\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.flashcat.cloud/monit/dashboard/delete?app_key=")
.header("Content-Type", "application/json")
.body("{\n \"dashboard_id\": \"01990d7a-9c5b-7ab0-9c18-33e38f6f2101\",\n \"expected_revision\": 7\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flashcat.cloud/monit/dashboard/delete?app_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"dashboard_id\": \"01990d7a-9c5b-7ab0-9c18-33e38f6f2101\",\n \"expected_revision\": 7\n}"
response = http.request(request)
puts response.read_body{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"data": {
"dashboard_id": "01990d7a-9c5b-7ab0-9c18-33e38f6f2101",
"revision": 8
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InvalidParameter",
"message": "The specified parameter is not valid."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "Unauthorized",
"message": "You are unauthorized."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "AccessDenied",
"message": "Access Denied."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "RequestTooFrequently",
"message": "Request too frequently."
}
}{
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4",
"error": {
"code": "InternalError",
"message": "We encountered an internal error, and it has been reported. Please try again later."
}
}限制说明
| 项目 | 说明 |
|---|---|
| 速率限制 | 每账户 300 次/分钟;20 次/秒 |
| 权限要求 | 仪表盘管理(monit) |
使用说明
- 这是软删除:仪表盘进入回收站,删除 30 天后连同全部版本被永久清除。在此之前可用
POST /monit/dashboard/restore恢复。 - 删除会使
revision加 1;返回的revision就是恢复时要传入的expected_revision。 expected_revision必须等于已存版本号,否则返回DashboardRevisionConflict(HTTP 409);删除已在回收站中的仪表盘返回DashboardDeleted(HTTP 410)。- 会记录审计日志。
授权
请求体
application/json
此页面对您有帮助吗?